
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>InfoSphere Streams如何帮助您将数据转换为洞察 / iVAN</title>

    <meta name="description" content="InfoSphere Streams如何帮助您将数据转换为洞察 IBM 在多年前就引入了 &quot;智慧地球&quot; 这个术语.利用这个术语,可以描述 3 个主要属性: 物联化 智能化 互连化 长久以来,这已经形成一个现实.想象一下智能手机的激增,这实际上可能提供了比保持联系更多的功能.智能手机包括 GPS 提供的用于测量温度和湿度的一组传感器.再加上世界各地使用的所有传感器和仪表,我们看到了一个不断演化的真实情况. 这就构成了应该转换成信息 的大量数据.例如,我们可以利用群众的力量来洞察不断变化的情形.我们可以察觉出可能产生机遇或避免严重灾害的趋势. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">InfoSphere Streams如何帮助您将数据转换为洞察</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>IBM 在多年前就引入了 “智慧地球” 这个术语。利用这个术语，可以描述 3 个主要属性：</p>
<p>物联化 智能化 互连化<br />
<br />长久以来，这已经形成一个现实。想象一下智能手机的激增，这实际上可能提供了比保持联系更多的功能。智能手机包括 GPS 提供的用于测量温度和湿度的一组传感器。再加上世界各地使用的所有传感器和仪表，我们看到了一个不断演化的真实情况。</p>
<p>这就构成了应该转换成信息 的大量数据。例如，我们可以利用群众的力量来洞察不断变化的情形。我们可以察觉出可能产生机遇或避免严重灾害的趋势。我们可以看到电信与其他行业中社交媒体观点的实时分析、能量消耗的当前状态、关键性能指标的分析。其他更多示例已超出了本文的讨论范围。</p>
<p>在利用这个新的数据机会时，存在几个重大问题。其中一个就是数据的绝对量，另一个是大量数据的短暂性。我们如何才能快速筛选所获得的数据，关注我们当时感兴趣的部分？</p>
<p>当然，您可能认为我的答案会指向 InfoSphere Streams。首先，我们需要了解静态数据和动态数据之间的差别。</p>
<p>静态数据</p>
<p>可以大胆地假设每个人都非常了解静态数据：文件和数据库。无论数据来自何处，都会先存储在磁盘上，然后供用户使用。我们见证了数据多年以来的发展变化；文件很难更新，而且并行更新根本不可能实现。然后，分层/网络数据库出现了，但是，随后数据只针对某种特定用例进行了组织，而且最糟糕的访问场景几乎其他所有用例都遭遇过。这就导致了关系数据库的采用。</p>
<p>最终，关系模型稳定下来，并逐渐发展成为包括对象关系模型形式的可扩展性。这一模型的最成功的特征就是能够包含其他数据类型和功能来满足业务需求，比如处理空间数据和进行文本搜索。它还可以进一步扩展为提供专门的存储和处理，如 Informix&reg; TimeSeries 功能中所述。</p>
<p>在过去的几年里，我们经历了分析非结构化数据的需求分析的其他发展阶段，这导致了 Hadoop（或是企业就绪的 InfoSphere BigInsights 以及附属产品）的崛起。这些进展使得分析大量数据变得更加容易，但是它们仍然需要先将数据存储在磁盘上，然后才能对它们进行处理。</p>
<p>静态数据是一种已经稳定下来的模型，而且在帮助大数据挑战的时候还将继续扩展。实时分析的增加要求添加另外一种模型：动态数据。</p>
<p>动态数据</p>
<p>动态数据也是一个已知概念。想象一部电影 — 电影就是动态数据。不是因为人们在屏幕上移动，而是屏幕上有源源不断的图像经过，每一张图像都是转眼间就消失了。</p>
<p>在许多软件应用中，必须先让数据运动起来，然后才能对其进行处理。数据从一种功能流动到另一种功能，从一个线程流动到另一个线程，从一个流程移动到另一个流程，从一台计算机流动到另一台计算机。</p>
<p>试想一下应用程序的性能应用，如果需要先让数据处于静止状态，然后再对其进行处理，那么动态数据和静态数据之间的常量转换可能会造成一些重要的处理可能性。为了有效地处理数据，应该尽可能地尝试限制静态数据需求，因为磁盘驱动器是计算机系统的最慢组件。</p>
<p>动态数据的另一个优势是，在大量的类似数据中，我们没有必要拥有专门的存储机制来优化数据检索。如果数据处于运动状态，那么您已经拥有了它。如果需要从静态存储库中检索数据，则需要确定如何进行检索。检索可以通过顺序访问或索引访问来完成。无论采用哪种方式，在数据通过时都会执行读取数据之外的更多操作。</p>
<p>实时处理</p>
<p>在继续后面的介绍之前，我们需要弄清楚实时处理 这个术语。在有些情况下，处理数据所需的处理权限和时间量必须得到环境的保证。为了确保指定的响应时间，不能以任何理由暂停执行程序。在这些情况下，处理必须在专门的操作环境中运行，也就是说，在支持这类调度的特定操作系统下进行。</p>
<p>在较宽松的环境中，实时处理意味着随时随地处理数据，时间范围从转眼的瞬间到数分钟甚至数小时不等。而在紧要关头，数据可用性与数据创建之间可能存在延迟性。您的数据可能每隔 15 分钟突然出现一次，但延迟性就是数据突然出现和信息可用之间的时间。</p>
<p>在许多商业案例中，比如社交数据分析，会依靠已定义的延迟水平来确定处理的有效性。项目成功的关键在于我们可以降低多少延迟。</p>
<p>请记住，这次我们讨论的并不是要从静态模型的数据中获得什么。在许多情况下，仍然需要将此用于不太严格的 “实时” 需求，当然，可以将此用于历史数据的深度分析。对于让实时分析适应业务变化实际情况，这种分析至关重要。</p>
<p>InfoSphere Streams 是什么？</p>
<p>我的一个同事提供了这个简短的定义：“InfoSphere Streams 是一个对大数据进行实时分析的平台。”</p>
<p>“大数据” 部分指的是数据的数量、种类和速度。我们会讨论任何类型的数据（种类），可能包括以非常快的速度 传入的 TB（数量）字节的数据。</p>
<p>当说到 “分析” 时，我们指的是通过自定义编程处理/分析数据的能力，包括工具的使用（比如 SPSS&reg;）或 R 项目环境。</p>
<p>“实时” 部分是指通过处理内存中的数据，尽可能多地消除延迟性。</p>
<p>最后，“平台 ... 用于大数据” 指的是 InfoSphere Streams 在一个机器集群上通过显式分发处理来实现可扩展性的能力，以及监控和管理环境的能力。</p>
<p>平台提供了哪些功能，我们如何使用它们？问得好。在回答这个问题之前，让我先介绍一下 InfoSphere Streams 信息的一站式商店。</p>
<p>InfoSphere Streams Playbook 简介</p>
<p>关于 InfoSphere Streams 的可用信息有许多。这些信息以有文档、IBM 红皮书&reg;、developerWorks 文章、培训视频、用例等形式存在。您如何发现并导航这些信息？</p>
<p>一个名为 InfoSphere Streams Playbook 的 developerWorks 维基可以实现此目的。如果因为某些原因没有记住 URL，那么您可以通过 Google 搜索 “Streams Playbook”，URL 会出现在第一个结果页面中。</p>
<p>这个维基包含以下各个部分：</p>
<p>参考资料 视频教程 视频用例 其他用例（当前为空） 生态系统 开发人员一角<br />
<br />本文的其余部分参照这个维基的各个部分来提供更多信息。</p>
<p>InfoSphere Streams 的使用目的是什么？</p>
<p>InfoSphere Streams 是为安全应用而开发的，这些应用中有大量数据需要快速处理，以便预防某些问题的发生。由于数据来自不同的系统而且使用的格式也不同，因此需要满足以下需求：</p>
<p>支持任何类型的数据 需要通过内存中处理来降低延迟 能够通过使用集群支持来进行缩放<br />
<br />InfoSphere Streams 还被用于电信行业中，使电信公司能够快速对客户问题作出反应。当客户体验中断时，公司可以采取积极措施来自动补偿客户并维护客户满意度，而不是等待客户投诉或寻求其他的运营商。在一些竞争相当激烈的市场中，客户满意度就相当于客户保持。消除客户流失非常重要。</p>
<p>InfoSphere Streams 还用于交通运输、医疗保健和其他行业中。参见 Playbook 的 “视频用例” 部分，了解有关的更多信息。</p>
<p>InfoSphere Streams 环境</p>
<p>Although InfoSphere Streams 可在单台计算机上运行，它被设计成可在集群上运行，以提供几乎无限的可扩展性。一台计算机可用作一台管理主机、一台应用程序主机，或是一台混合模式的主机，这种主机既可以运行管理服务，也可以运行应用服务和代码。</p>
<p>图 1. 集群上的管理主机和应用主机的混合</p>
<p>请注意，管理节点运行的一组服务将会跟踪集群的健康状况和作业的运行情况。可以将一个作业看作是一个程序。作业和程序之间的区别在于它是由操作符构成，可通过调度在任何可用应用主机上运行。作业 由多个流程组成，而程序 则在单个流程上运行。在信息中心和 InfoSphere Streams Playbook 的 “视频教程” 部分中，了解有关 InfoSphere Streams 运行时的更多信息。</p>
<p>InfoSphere Streams 包含的一些工具可帮助您管理环境和开发 InfoSphere Streams 应用程序：</p>
<p>FirstSteps：执行安装后的任务，比如配置 SSH、生成公钥和私钥、配置恢复数据库等。 Instances Manager：创建、配置、更新和删除实例与集群。实例管理程序还可以启动 InfoSphere Streams 控制台。 InfoSphere Streams Console：基于 Web 的 GUI，用于监控和管理实例与应用程序。 InfoSphere Streams Studio：基于 Eclipse 的工具，用于开发应用程序。该工具中包含一个图形编辑器和向导，可简化标准开发任务。它还包含运行 InfoSphere Streams 作业及其操作符的可视化。 Streamtool：命令行工具，用于自动化管理和监控任务。 InfoSphere Streams Compiler (SC)：通过工具来自动化编译任务。还可直接使用或通过生成文件（makefile）使用。<br />
<br />一旦掌握了图形工具（列表中的前四个符号），就可以使用它们来帮助大幅提高生产力。学习曲线非常短且值得尝试。</p>
<p>InfoSphere Streams 编程</p>
<p>InfoSphere Streams 编程首先将操作符聚集在一起，以便进行模块化处理并启用并行执行。图形编辑器可以更轻松地将操作符连接在一起，创建一个作业处理图形。</p>
<p>InfoSphere Streams 还使用称为流处理语言 (SPL) 的程序语言。如果您熟悉 C 语言、Java 编程语言和 Python，那么您应该很快就会熟练使用 SPL。</p>
<p>InfoSphere Streams 与大多数语言不同的其中一个方面是其广泛的可用数据类型集，如下所示。</p>
<p>图 2. InfoSphere Streams 中可用的数据类型</p>
<p>利用这些类型，您几乎可以匹配任何数据类型。甚至可以根据所提供的原始类型创建自己的数据类型。</p>
<p>除了数据类型外，InfoSphere Streams 还附带了重要的分类功能集，包括集合操作（列表、集合与映射）、文件、数学、字符串、时间和实用功能。除了处理不同数据类型的几个同名功能和特定于给定操作符的功能之外，InfoSphere Streams 总共包含 250 多种功能。您还可以在 InfoSphere Streams 包含的专用工具集中添加技术功能。</p>
<p>InfoSphere Streams 编程从操作符开始。操作符 管理通过各种方式从外部世界获取数据，执行数据转换，并提供最终结果。它支持您将框架快速凝聚为一个解决方案，并利用该解决方案来解决您的业务问题。</p>
<p>操作符和工具集</p>
<p>操作符组成了比程序编程更高级别的抽象层次，利用操作符，您就拥有了对处理的逻辑隔离，从而提供了处理分发。操作符来自称为 “工具集” 的不同数据包。尤其是一个标准工具集始终包含在所有 InfoSphere Streams 项目中。它提供了产品附带的所有功能。尽管各种功能可能会被视为语言的一部分，但还是会被分隔出来，因为它们是在不同的工具集中定义的。</p>
<p>一个工具集 就是一个功能数据包，它通常与某个特定的问题领域相关。这些工具集中可以包括操作符、功能和数据类型。下面是 InfoSphere Streams 3.1 中提供的工具集：</p>
<p>标准工具集：包含适配器、关系运算、实用程序和 XML 等操作符 大数据：与 Hadoop 分布式文件系统 (Hadoop Distributed File System, HDFS) 和 Data Explorer 相配合 复杂事件处理：用来定义如何处理复杂事件 数据库：访问关系数据库，比如 DB2&reg;、Informix、Netezza、Oracle、SQL Server、Teradata 等。 金融服务：包含一组用来处理金融市场处理的操作符和功能 地理空间：提供一组处理地理空间数据的功能 InfoSphere DataStage&reg; 集成：与 DataStage 相配合 Internet：访问 HTTP(S)、FTP(S) 和 RSS Messaging：与<br />
WebSphere&reg; MQ 和 ActiveMQ 进行通信 Mining：提供一种对数据进行评分的方法 R Project：与 R Project 统计环境相配合 Text：提供文本分析 TimeSeries：帮助处理时间序列，即基于时间的数据处理<br />
<br />标准工具集附带了 36 个操作符以及 256 个以上的功能。其他工具集添加了 40 多个操作符和几十个函数。通过所有这些预构建的功能，您可以在创建自定义作业时更有效地满足业务需求。</p>
<p>这篇简短的描述会让您对 InfoSphere Streams 提供的功能有初步的了解。接下来让我们进一步了解 InfoSphere Streams 如何适应完整的数据处理环境。</p>
<p>InfoSphere Streams 集成</p>
<p>InfoSphere Streams 并不是在真空中运行，它是 IBM 大数据平台的关键组件。在企业集成的过程中，InfoSphere Streams 可以从不同来源读取数据并将数据写入不同的目标，比如文件、网络连接（TCP、UDP、HTTP 等）和消息队列（WebSphere MQ 和 Active MQ）。InfoSphere Streams 包含的操作符可与使用金融信息交换 (Financial Information eXchange, FIX) 协议的金融市场相配合。</p>
<p>除了这些接口之外，InfoSphere Streams 还适用于多种 IBM 产品，包括 InfoSphere BigInsights、Data Explorer、SPSS 和 Cognos&reg;。此外，它还可以利用 R Project 统计分析工具。随着 InfoSphere Streams 的发展，还会添加更多的接口。</p>
<p>如欲了解有关的更多信息，请查阅 InfoSphere Streams Playbook 的 “生态系统” 部分。</p>
<p>导航信息中心</p>
<p>信息中心包含的信息适用于系统管理员、InfoSphere Streams 管理员和应用程序编程人员。本节主要介绍应用程序开发人员的信息需求。</p>
<p>图 3 该图显示了信息中心的各个主要部分和子部分。作为一名开发人员，您可能想要查看所有部分来了解与 InfoSphere Streams 相关的每件事。如欲初步了解编程环境，请参阅 “开发” 部分并学习 InfoSphere Streams Studio，然后根据教程进行试验。</p>
<p>图 3. 信息中心部分</p>
<p>在完成最初的浏览之后，您很可能会花费大量的时间查看参考资料部分。您需要了解 SPL 语言、可用的功能、可用的操作符，以及如何使用它们。</p>
<p>在 Reference &gt; Language reference 中有两个部分：标注查询语言 (Annotation Query Language, AQL) 和流处理语言 (Streams Processing Language, SPL)。如果不打算使用 Text 工具集下的文本分析和 TextExtract 操作符，那么现在可以忽略 AQL 部分。当决定进行文本分析时，您可能想要使用 InfoSphere BigInsights 2.1 信息中心，其中包含有关各种主题的信息，这些信息比 InfoSphere Streams 信息中心包含的信息还要多。</p>
<p>SPL 语言部分包含了解 SPL 语言、数据类型的使用、功能和如何调用工具集操作符的所有信息。由于已经遇到过这个问题，所以我想指出一个可能会被用户忽略或用户可能会再次遇到麻烦的特定部分：Streams Processing Language &gt; Expression language &gt; Expression operator。如果想要了解如何进行逻辑或按位表达，本节列出了编写代码段函数时可以使用的内容。但在这个列表中没有明显指出的是：如何连接字符串。（您可以使用 + 操作符来完成此操作。）</p>
<p>一旦掌握了这种语言，下一个问题就可能是 “哪些功能可用来处理我的数据？” 这个问题的简要回答是 SPL 不包括任何功能。这可能是真的，但所有应用程序都隐式包含 “标准工具集”。以下是您可以寻找操作功能的位置：Toolkit reference &gt; SPL Standard Toolkit &gt; Built-in SPL Functions &gt; FunctionList。本节包含的功能可用于文件处理、数学运算、字符串处理、时间控制和 XML 处理。本小节还包含用于日志记录、跟踪、断言等的实用功能。在查找关于某种功能的信息时，最简单的方法就是在页面中搜索（使用 Ctrl+f）功能名称或相关关键词。</p>
<p>代码示例</p>
<p>此时此刻，您应该已经掌握了开始使用 InfoSphere Streams 进行编程的所有信息。使用 InfoSphere Streams Studio 和 GUI 编辑器，您可以轻松拖拽想要使用的操作符，并将它们连接在一起。对于更复杂的处理，您可以考虑添加自己的代码段。有些操作符将需要花费额外的学习时间。</p>
<p>最快学习方法之一就是使用代码示例。您可以在 InfoSphere Streams Playbook 中的 “Developer corner” 下发现示例和样例的许多参考资料。另外，在 developerWorks 网站上，可以查看一些有用的资源：</p>
<p>developerWorks 文章 — developerWorks 站点上的 InfoSphere Streams 文章。 InfoSphere Streams 博客 — 有关 InfoSphere Streams 编程的所有领域的条目，从简单到复杂。 流交换 — 社区提供的代码贡献。示例包括使用 OpenCV 的视频处理和与 HBase 配合使用的工具集。在 “Applications” 下，查看 “Examples for beginners”，当您使用流和操作符开始入门时，强烈推荐您阅读这些内容。<br />
<br />结束语</p>
<p>InfoSphere Streams 是一种功能强大的 “实时分析大数据的平台”。它是 IBM 大数据平台的关键因素。您可以通过使用 InfoSphere Streams 提供的工具快速提高生产力，并利用可以用到的所有信息。完成了所有这些之后，您就可以将数据转换为切实可行的洞察。</p>
<p>实时数据处理（可能是数据处理中的下一个重大事件）正被用于许多有趣的、要求严格的应用程序中，以便从大数据中获取洞察和竞争优势。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 07:52:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e8%bd%ac%e6%8d%a2/" title="数据转换">数据转换</a>, <a href="https://www.iamivan.net/tag/streams/" title="Streams">Streams</a>, <a href="https://www.iamivan.net/tag/infosphere/" title="InfoSphere">InfoSphere</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>InfoSphere Streams如何帮助您将数据转换为洞察的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPdejM.html" rel="bookmark">如何从 IBM InfoSphere Streams 调用 Python 代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 IBM InfoSphere Streams 是一个高性能的实时事件处理中间件.它独特的优势在于能够从各种不同的数据来源获取结构化和非结构化数据,以用于执行实时分析.它通过将一种称为 SPL(Streams Processing Language,流处理语言)的易于使用的应用程序开发语言与一个分布式运行时平台相结合来完成此任务.这个中间件还提供了一个灵活的应用程序开发框架,将使用 C++ 和 Java 编写的代码集成到 Streams 应用程序中.除了 C++ 和 Java,许多构建真实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqxxWz.html" rel="bookmark">从IBM InfoSphere Streams应用程序调用Python代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				还可以在一个 Streams 应用程序的上下文内调用 Python 代码.学习如何直接从 IBM InfoSphere Streams 应用程序调用 Python 代码. IBM InfoSphere Streams 是一个高性能的实时事件处理中间件.它独特的优势在于能够从各种不同的数据来源获取结构化和非结构化数据,以用于执行实时分析.它通过将一种称为 SPL(Streams Processing Language,流处理语言)的易于使用的应用程序开发语言与一个分布式运行时平台相结合来完成此任务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zem6R9z.html" rel="bookmark">InfoSphere Streams一个分析移动中的大数据平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来自多个来源的信息正在以难以置信的速度增长.互联网用户数量在 2012 年已经达到 22.7 亿.每一天,Twitter 都会生成超过 12 TB 的 tweet,Facebook 生成超过 25 TB 日志数据,纽约证券交易所采集 1 TB 交易信息.每天会创建大约 300 亿个射频识别 (RFID) 标记.此外,每年销售的数亿台 GPS 设备,目前正在使用的超过 3000 万个连网的传感器(而且每年在以高于 30% 的速度增长),都在产生数据.这些数据量预计在未来 10 年中每 2 年就会翻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYrBKb.html" rel="bookmark">如何使用IBM InfoSphere Streams进行模拟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IBM 通过 InfoSphere Streams 提供了一个强大且可扩展的解决方案来处理每秒数百万个数据元组的持续流.该流引擎提供了一种健壮.高度可用且可扩展的运行时,能够在数百个节点和 C++PU 核心上执行分析逻辑.这为您提供了专心使用数据的自由,让您无需花时间研究如何和在何处使用数据. 在一种典型的操作领域,InfoSphere Streams 可帮助您处理动态传入的数据,在不到一秒内对新事件做出反应,无需在事后延迟几分钟或者甚至几小时再处理数据.图 1 显示了一种系统架构,Stream			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXnNQb.html" rel="bookmark">使用InfoSphere Streams的自定义Java 运算符和ICU4J实现实时音译</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				集成 Java 音译模块和 InfoSphere Streams 的自定义 Java 运算符 简介 在成长型市场区域中,任何解决方案提供商面临的首要挑战是可用数据的方言和语言学的不一致性.由于成长型市场区域中拥有包括英语在内的多种官方语言,所以地区的语言符号逐渐嵌入到了英语符号中.因此,您首先需要执行音译来实现数据中的一致性,然后再继续执行处理/文本分析. 如果使用预定的语言,那么数据音译会为您提供更统一.更一致的结果.本文将介绍使用 InfoSphere Streams 的自定义 Java 运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZyDwp.html" rel="bookmark">使用Java编程语言构建IBM InfoSphere Streams应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 IBM InfoSphere Streams( 以下简称 Streams) 是 IBM 于 2009 年推出的具有高可靠性,高可扩展性,分布式流计算平 台,前瞻性地把支持每秒 6G 或者每小时 21600G(相当于互联网上所有网页数量之和)数据处理能力作为系统设计的指标 ,实现了流数据&quot;永恒分析&quot;的能力.它包含一个运行时环境 ( 或者称为实例 ) 和编程模型来简化需要对大批量连续流数 据进行提取.过滤.分析以及关联的应用程序的开发,能够广泛的应用于制造.零售.交通运输.金融证券以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NR5kz.html" rel="bookmark">如何集成PureData System for Analytics和InfoSphere Streams</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 Streams 操作符有效地将海量数据加载到 Netezza 中 InfoSphere Streams 是一个高性能计算平台,支持持续且极其快速地分析来自多个来源的海量流数据.Netezza 设备加载这些数据集并存储它们,以供 PureData System for Analytics 分析.这个可扩展.大规模并行系统使客户端能够对海量数据执行复杂分析. 但是,Streams 2.0 标准数据库工具包所提供的默认 ODBC 操作符,不足以最大限度地发挥系统之间的高性能加载实用程序的优势.您			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA6dRKp.html" rel="bookmark">数据转换为XML、CSV或ECM格式类型如何应用各种阈值限制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				InfoSphere Optim Data Masking Solution 提供了一种屏蔽数据源中使用的个人信息的方式.它为您提供一种为测试用途而使用逼真但虚构的数据的方法.在以前的 InfoSphere Optim 版本中,您可以将提取的数据 (.XF) 转换或屏蔽到另一个数据集中,或者将它们提取到一个业务对象 (CSV) 文件中.业务对象 (CSV) 文件格式使所有表数据均可存储为 CSV 文件中的一条记录.从 Optim 8.1 及其更高版本开始,您不仅能将提取的数据转换为 CSV.XM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My23dPp.html" rel="bookmark">InfoSphere Streams使用控制端口特性来同步构建过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				该工具中的建模操作符使用传入的时序数据来构建内部的预测或跟踪模型.在真实场景中,用于模型构建的传入数据可能成为干扰数据,应该从模型构建流程中丢弃 这些数据.此外,在清理传入数据后,模型可能必须再次培训 (retrain).本文为这个问题提供了一个解决方案,介绍如何使用控制端口特性来同步和调整模型构建过程和操作符函数,确保传入数据的质量. InfoSphere Streams Time http://www.aliyun.com/zixun/aggregation/16960.html&quot;&gt;S			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrXWjz.html" rel="bookmark" class="title">傲游云浏览器云功能体验</a>
					<div>
						傲游云浏览器在云服务支持上提供了三个核心的功能,云同步.云下载以及云推送,这三个功能虽然在过去的浏览器版本中也有过一些功能上体现,但是在新版的傲游云浏览器中,云服务能力表现得更加完美而全面.本文我们在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn392z.html" rel="bookmark" class="title">统计在线人数、每日访问人数和总人数</a>
					<div>
						访问|统计|在线|在线人数 这个程序难一点,特点在于,因为他是分别的传送每个图片,所以不像CGI产生的图片那样大.而且图片可以重复的利用所以较率高速度快.只是没有JavaScript就不行了. 程序原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmq45p.html" rel="bookmark" class="title">DreamWeaver MX 2004专题</a>
					<div>
						dreamweaver Dreamweaver MX 2004 CSS使用教程 [2005-03-06] 菜鸟学用Dreamweaver MX 2004行为教程 [2005-03-09] Dreamw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz49rJb.html" rel="bookmark" class="title">浅析网站快照出现三种不同形式的原因及处理方法</a>
					<div>
						网站快照一直是站长关心的话题,不管是在交换友情链接.判断网站价值等多等等方面,网站快照都是一大参考要素.但是很多站长其实不明白网站快照不同形式所代表的意义,往往被一些错误的观点所支配,下面我来谈谈如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr99dp.html" rel="bookmark" class="title">理解Spring的打包方式</a>
					<div>
						获取Spring发布包之后,你或许会惊讶的发现:Spring开发小组并没有用单个JAR文件来包含所有代码,而是选择建立包含有完整发布的单个JAR和8个独立JAR文件来包含对应的Spring组件.未来版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW164nz.html" rel="bookmark" class="title">杀毒常用的几条基本方法</a>
					<div>
						1.打开windows资源管理器,依次点工具-文件夹选项-查看,选上&quot;显示所有文件和文件夹&quot;和&quot;显示系统文件夹的内容&quot;;去掉&quot;隐藏已知文件类型的扩展名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd72v6M.html" rel="bookmark" class="title">英特尔首席工程师吴甘沙：一切弯路都是直路</a>
					<div>
						记者 / 董世晓 作为从英特尔中国研究院走出的第一位首席工程师,吴甘沙的故事或许能给我们一些启迪.他相信无论做任何事情,只要你认真对待,即使走的是弯路,同样也能获得另外一种成功. 首席工程师的责.权. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M916PRM.html" rel="bookmark" class="title">XML操作类</a>
					<div>
						public class XmlControl { protected string strXmlFile; protected XmlDocument objXmlDoc = new XmlDocu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7KgNM.html" rel="bookmark" class="title">设置Windows 8无需要输入密码自动登录</a>
					<div>
						  Windows 8系统是默认需要输入微软账户的,但如果电脑只是家用,实在没必要每次都去输入密码.介绍一种能实现无密码登录Windows 8系统的方法. 实现Windows 8的无密码自动登录方法如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWmPLp.html" rel="bookmark" class="title">U盘量产失败变砖头怎么办</a>
					<div>
						  用量产方式制作U盘启动盘为什么失败,U盘变成了砖头? 答:看到很多网友说专用的量产工具作U盘失败,U盘变成了&quot;砖头&quot;,我也遇到.我的4个Kingstom牌的U盘,有2真(4GB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR1l9p.html" rel="bookmark" class="title">java-如何获取网页数据。比如</a>
					<div>
						问题描述 如何获取网页数据.比如 比如一天笑话点开评论后 会有一个评论的列表显示出来. 如何获取评论的数据. 这里本来有个号..我用{表示下同{div&gt; div class=&quot;oper ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8nNDp.html" rel="bookmark" class="title">格式-分解二進制數字 n 成兩個數字 a&lpar;n&rpar;&comma; b&lpar;n&rpar; &plus;</a>
					<div>
						问题描述 分解二進制數字 n 成兩個數字 a(n), b(n) + Splitting Numbers(數字分解) 分解二進制數字 n 成兩個數字 a(n), b(n) 的定義如下: 若 0&lt;= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ExjoM.html" rel="bookmark" class="title">hadoop-hive无法进行条件查询</a>
					<div>
						问题描述 hive无法进行条件查询 用hive可以建表,执行不加条件的查询可以,如select * from t_hive:如果加上条件进行查询则失败,如select * from t_hive wh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7A12z.html" rel="bookmark" class="title">系统操作日志的设计，大家有什么好的思路？</a>
					<div>
						问题描述 我现在要做一个人事管理系统,客户提出资料在修改时需要申请审核,在审核时需要把修改的字段以及修改之前和修改之后的值都列出来.不知道大家有什么好的思路?? 解决方案 针对需要的业务模块,添加一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn74dkz.html" rel="bookmark" class="title">c&plus;&plus;-编译通过了，但是却运行出错是为啥&period;&period;&period;&period;C&plus;&plus;新手通宵第一晚求助</a>
					<div>
						问题描述 编译通过了,但是却运行出错是为啥....C++新手通宵第一晚求助 #include using namespace std; struct Node { int E; double C; N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVND9Vz.html" rel="bookmark" class="title">qt android 软键盘隐藏 软键盘区域出现黑块</a>
					<div>
						问题描述 qt android 软键盘隐藏 软键盘区域出现黑块 Qt5.4版本,android测试遭遇软件盘问题.设置android:windowSoftInputMode 为&quot;adjust ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6X70b.html" rel="bookmark" class="title">bash&colon; hadoop&colon; command not found</a>
					<div>
						输入[root@localhost bin]# hadoop fs -ls  / 报bash: hadoop: command not found 这个错误 需要将hadoop/bin路径加入PATH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkLLVb.html" rel="bookmark" class="title">代码-MySql动态行转列，网上找的sql语句，需要再添加字段，求帮忙谢谢大家</a>
					<div>
						问题描述 MySql动态行转列,网上找的sql语句,需要再添加字段,求帮忙谢谢大家 SELECT -&gt; IFNULL(c1,'total') AS total, -&gt; SUM(IF(c2= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YwVvM.html" rel="bookmark" class="title">求企业统计工作信息化软件</a>
					<div>
						问题描述 有谁知道有什么能用于统计工作的成熟产品或厂商吗?主要业务场景是下级向上级上报数据,上级汇总继续上报,会涉及到统计指标变化.汇总差额处理,数据版本控制等. 解决方案 解决方案二:可以收一下关于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40oKJz.html" rel="bookmark" class="title">安全的应用程序开发和应用程序安全防御</a>
					<div>
						摘要 对互联网行业而言,安全总是后知后觉!只有遭受损失时才想办法去弥补.互联网的历史就非常清楚的验证这个理论,早在1969年美国军方就发明了互联网命名为「Arpanet」,1973年 Arpanet  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXoXOz.html" rel="bookmark" class="title">7月15日蚕豆网不推荐的Android应用：《屋顶跑酷HD》</a>
					<div>
						前言:如雨后春笋般杂乱滋生的Android app遍布于网络中.下载平台中.用户的手机中,目前由于监管不严.开放性过大这些应用的安全性便成了当前Android手机最大问题.通讯录被复制.私人照片丢失. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXoO4z.html" rel="bookmark" class="title">C&num;菜鸟问题&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 我做网页时为了用按钮改变窗体颜色什么什么的...我加了Global.asax来处理....但是我加了后没有任何反应..是怎么把Global.asax引用到整个网站上的啊.删除了也不出错... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRj0Eb.html" rel="bookmark" class="title">恰维网络谈下做网络营销 必须要知道八大秘笈</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 现在做网络营销的个人和公司越来越多,但由于网络营销也是最近几年才发展起来的,很多人都不是很了解网络营销的具体做法,这里恰维网络给大家介绍一下网络营销的几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ7ZQp.html" rel="bookmark" class="title">java源码-这句话为什么老是报错啊，哪个大神帮帮我，求助攻</a>
					<div>
						问题描述 这句话为什么老是报错啊,哪个大神帮帮我,求助攻 这句话老是报错,都该不好了,求大神?????????????????????? 解决方案 代码不全,提示的什么错误 解决方案二: 这句话用到了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZoVkp.html" rel="bookmark" class="title">Libcurl安装及编译</a>
					<div>
						1.安装curl wget http://curl.haxx.se/download/curl-7.26.0.tar.gz  tar -zxvf curl-7.26.0.tar.gz  cd curl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjRrwM.html" rel="bookmark" class="title">rpc框架之avro 学习 1 - hello world</a>
					<div>
						avro是hadoop的一个子项目,提供的功能与thrift.Protocol Buffer类似,都支持二进制高效序列化,也自带RPC机制,但是avro使用起来更简单,无需象thrift那样生成目标语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xjG4b.html" rel="bookmark" class="title">在手表上开发游戏，你是认真的吗？</a>
					<div>
						摘要: Apple Watch发布后,我们讨论了很多手表作为新平台的潜力.手表能不能成为下一个占据人们日常生活的科技产品,作为业内翘楚的Apple Watch能不能引领另一场新革命,这些目前都还是未知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL2PjM.html" rel="bookmark" class="title">乐视回应王川指责&comma;发藏头诗开嘲</a>
					<div>
						北京时间1月20日消息,针对&quot;小米电视负责人王川指责乐视封闭模式要走到头了&quot;的言论,乐视官方今日巧发藏头诗,戏称&quot;王川是在自取其辱&quot;,&quot;要用心去学,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkr5vz.html" rel="bookmark" class="title">获奖的首家新闻博客网站</a>
					<div>
						美国新闻业最高荣誉普利策新闻奖于当地时间4月16日,在美国哥伦比亚大学新闻学院揭晓,网络媒体异军突起,成为今年普利策奖的一大亮点.美国知名网络媒体&lt;赫芬顿邮报&gt;因推出了重伤后的退伍军人与他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrw4lp.html" rel="bookmark" class="title">Java中String&period;split&lpar;&rpar;用法小结&lowbar;java</a>
					<div>
						在java.lang包中有String.split()方法,返回是一个数组 我在应用中用到一些,给大家总结一下,仅供大家参考: 1.如果用&quot;.&quot;作为分隔的话,必须是如下写法,Str ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
